Bug 459345 - k9copy crashes instantly when a file is opened
k9copy crashes instantly when a file is opened
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-17 00:26 EDT by Mick Mearns
Modified: 2008-09-06 18:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-06 17:22:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace output, and xterm output. (8.51 KB, text/plain)
2008-08-17 00:26 EDT, Mick Mearns
no flags Details
backtrace with debug info (6.37 KB, text/plain)
2008-08-17 15:35 EDT, Mick Mearns
no flags Details
backtrace with debug info (6.37 KB, text/plain)
2008-08-17 15:39 EDT, Mick Mearns
no flags Details
valgrind k9copy (34.18 KB, text/plain)
2008-08-18 01:16 EDT, Mick Mearns
no flags Details
backtrace from k9copy crash (2.71 KB, text/plain)
2008-09-06 17:10 EDT, Mick Mearns
no flags Details
valgrind k9copy (10.51 KB, text/plain)
2008-09-06 17:15 EDT, Mick Mearns
no flags Details

  None (edit)
Description Mick Mearns 2008-08-17 00:26:36 EDT
Created attachment 314439 [details]
backtrace output, and xterm output.

Description of problem:
k9copy dies instantly when a disk is selected.
It only does this when there is a disk in the drive.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.k9copy (menu or xterm)
2.click "open" - dies.
3.
  
Actual results:
"caused the signal 6 SIGABRT"

Expected results:
next menu

Additional info:
[root@localhost ~]# rpm -q k9copy qt kdelibs
k9copy-2.0.2-1.lvn9.i386
qt-4.3.5-2.fc9.i386
kdelibs-4.0.5-5.fc9.i386
Comment 1 Kevin Kofler 2008-08-17 04:05:57 EDT
I'm reassigning this to Qt for now, because that's what the backtrace points to, but I suspect some bug in k9copy (which is a Livna package).

Can you please install qt-debuginfo and k9copy-debuginfo and produce a backtrace with that debugging info? (If you're not sure how to install the appropriate -debuginfo packages directly, try: su -c "debuginfo-install k9copy".)
Comment 2 Rex Dieter 2008-08-17 08:17:42 EDT
fwiw, k9copy isn't from fedora (but livna or elsewhere).
Comment 3 Mick Mearns 2008-08-17 15:35:06 EDT
Created attachment 314451 [details]
backtrace with debug info
Comment 4 Mick Mearns 2008-08-17 15:39:36 EDT
Created attachment 314452 [details]
backtrace with debug info
Comment 5 Kevin Kofler 2008-08-17 15:49:25 EDT
Thanks, that tells us a lot more, but unfortunately still not the whole story. Any chance you can run k9copy in Valgrind and upload that output too?
Comment 6 Rex Dieter 2008-08-17 15:52:11 EDT
I cannot reproduce locally (with kde-4.1.0/qt-4.4.1)
Comment 7 Kevin Kofler 2008-08-17 15:58:39 EDT
The backtrace with debugging info puts the blame rather on kdelibs than Qt in any case.

I suspect that your KDE icon/pixmap cache went corrupt. In your ~/.kde/cache-hostname directory (normally a symlink to /var/tmp/kdecache-username), there is a subdirectory called kpc (short for KDE Pixmap Cache), try deleting that kpc directory and all the files it contains.
Comment 8 Mick Mearns 2008-08-18 01:16:58 EDT
Created attachment 314462 [details]
valgrind k9copy

I have a DVD-rom (sr1), and a DVD-rw (sr0).
The disc was in sr1.
Comment 9 Rex Dieter 2008-09-06 13:24:42 EDT
As Kevin suggests in Comment #7, try deleting your kpc cache
rm -rf /var/tmp/kdecache-<username>/kpc
Comment 10 Mick Mearns 2008-09-06 17:10:31 EDT
Created attachment 315957 [details]
backtrace from k9copy crash
Comment 11 Kevin Kofler 2008-09-06 17:15:09 EDT
Interesting, this backtrace looks a bit different, and might point to an actual k9copy bug (which would make this a Livna issue).
Comment 12 Mick Mearns 2008-09-06 17:15:49 EDT
Created attachment 315958 [details]
valgrind k9copy

did a 'valgrind k9copy'

As an aside I have two F9 boxes.
Both are fully updated.
One is Athlon one is Athlon X64.

Both crash k9copy.

(it used to work on them both under F9)

Mick
Comment 13 Kevin Kofler 2008-09-06 17:22:48 EDT
Ouch, this points out quite some bugs with k9copy: an invalid free, garbage data in fields of a structure which should be zero and a probably related bug with that same structure (a constraint is violated), a buffer overflow.

Closing as not a Fedora bug, please file this at bugzilla.livna.org against k9copy.
Comment 14 Rex Dieter 2008-09-06 17:46:18 EDT
It would be preferable to notify k9copy upstream of these issues.  I'll see if I can dig up some pointers or references to do that.
Comment 15 Kevin Kofler 2008-09-06 18:05:18 EDT
You're right, the upstream k9copy project is of course the best place to report this kind of bugs.

Note You need to log in before you can comment on or make changes to this bug.